Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
console = client.cloud.gpu_baremetal.clusters.servers.get_console(
instance_id="instance_id",
project_id=0,
region_id=0,
)
print(console.remote_console)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
console, err := client.Cloud.GPUBaremetal.Clusters.Servers.GetConsole(
context.TODO(),
"instance_id",
cloud.GPUBaremetalClusterServerGetConsoleParams{
ProjectID: gcore.Int(0),
RegionID: gcore.Int(0),
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", console.RemoteConsole)
}curl --request GET \
--url https://api.gcore.com/cloud/v1/ai/clusters/{project_id}/{region_id}/{instance_id}/get_console \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cloud/v1/ai/clusters/{project_id}/{region_id}/{instance_id}/get_console', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"remote_console": {
"protocol": "<string>",
"type": "<string>",
"url": "<string>"
}
}GPU Bare Metal
Get bare metal GPU cluster server console URL
GET
/
cloud
/
v1
/
ai
/
clusters
/
{project_id}
/
{region_id}
/
{instance_id}
/
get_console
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
console = client.cloud.gpu_baremetal.clusters.servers.get_console(
instance_id="instance_id",
project_id=0,
region_id=0,
)
print(console.remote_console)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
console, err := client.Cloud.GPUBaremetal.Clusters.Servers.GetConsole(
context.TODO(),
"instance_id",
cloud.GPUBaremetalClusterServerGetConsoleParams{
ProjectID: gcore.Int(0),
RegionID: gcore.Int(0),
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", console.RemoteConsole)
}Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
Project ID
Region ID
Instance ID
Response
Remote console data
Remote console information
Show child attributes
Show child attributes
Example:
{
"protocol": "vnc",
"type": "novnc",
"url": "https://console-novnc.example.com/vnc_auto.html?path=%3Ftoken%3Df445c4b6-0a77-4fae-bc0e-147201dbfbea"
}
Was this page helpful?
⌘I